# @pvfhv/react-query-extend

- react-query扩展插件

## 安装

```base
pnpm add -S @pvfhv/react-query-extend
```

## 使用

```typescript
import { ReactQueryContainer, ReactQueryClientProvider } from '@pvfhv/react-query-extend';

// 入口文件
function App() {
  return (
    <ReactQueryClientProvider>
      <div>项目入口</div>
    </ReactQueryClientProvider>
  );
}

// 使用useQuery等类的组件
function QueryComponent() {
  const result = useQuery('queryKey', () => fetchData());
  return (
    <ReactQueryContainer result={result}>
      <div>使用useQuery类的组件</div>  
    </ReactQueryContainer>
  )
}

export default App;
```
